org.eclipse.rdf4j.sail.elasticsearch

## Class ElasticsearchDocumentDistance

- java.lang.Object
- - org.eclipse.rdf4j.sail.elasticsearch.ElasticsearchDocumentResult
  - - org.eclipse.rdf4j.sail.elasticsearch.ElasticsearchDocumentDistance

- All Implemented Interfaces:
    DocumentDistance, DocumentResult

      public class ElasticsearchDocumentDistance
      extends ElasticsearchDocumentResult
      implements DocumentDistance

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.sail.elasticsearch.ElasticsearchDocumentResult

      `hit`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElasticsearchDocumentDistance(org.elasticsearch.search.SearchHit hit, com.google.common.base.Function<? super String,? extends org.locationtech.spatial4j.context.SpatialContext> geoContextMapper, String geoPointField, IRI units, org.elasticsearch.common.geo.GeoPoint srcPoint, org.elasticsearch.common.unit.DistanceUnit unit)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getDistance()`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.elasticsearch.ElasticsearchDocumentResult

      `getDocument`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.lucene.DocumentResult

      `getDocument`

- - ### Constructor Detail

    - #### ElasticsearchDocumentDistance

          public ElasticsearchDocumentDistance(org.elasticsearch.search.SearchHit hit,
                                               com.google.common.base.Function<? super String,? extends org.locationtech.spatial4j.context.SpatialContext> geoContextMapper,
                                               String geoPointField,
                                               IRI units,
                                               org.elasticsearch.common.geo.GeoPoint srcPoint,
                                               org.elasticsearch.common.unit.DistanceUnit unit)

  - ### Method Detail

    - #### getDistance

          public double getDistance()

      Specified by:
        `getDistance` in interface `DocumentDistance`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.